Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.javascript
Class JavaScriptServiceImpl

    java.lang.Object
      org.richfaces.javascript.JavaScriptServiceImpl

All Implemented Interfaces:
  org.richfaces.javascript.JavaScriptService

    public class JavaScriptServiceImpl

extends Object
implements org.richfaces.javascript.JavaScriptService

Author:
  asmirnov@exadel.com

Constructor Summary
`JavaScriptServiceImpl()`

Method Summary
`
`<S> S`
` | `addPageReadyScript(javax.faces.context.FacesContext facesContext, S script)`
`
`<S> S`
` | `addScript(javax.faces.context.FacesContext facesContext, S script)`
`org.richfaces.javascript.ScriptsHolder` | `getScriptsHolder(javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptServiceImpl

    public JavaScriptServiceImpl()

Method Detail

### addScript

    public <S> S addScript(javax.faces.context.FacesContext facesContext,
                           S script)

  Specified by:
    `addScript` in interface `org.richfaces.javascript.JavaScriptService`

### addPageReadyScript

    public <S> S addPageReadyScript(javax.faces.context.FacesContext facesContext,
                                    S script)

  Specified by:
    `addPageReadyScript` in interface `org.richfaces.javascript.JavaScriptService`

### getScriptsHolder

    public org.richfaces.javascript.ScriptsHolder getScriptsHolder(javax.faces.context.FacesContext context)

  Specified by:
    `getScriptsHolder` in interface `org.richfaces.javascript.JavaScriptService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.